diff -Nru /tmp/2y6UN6wYIA/debootstrap-0.3.3/debian/changelog /tmp/tu5ne0TLq4/debootstrap-0.3.3.1/debian/changelog
--- /tmp/2y6UN6wYIA/debootstrap-0.3.3/debian/changelog	2005-11-05 19:32:03.000000000 +0100
+++ /tmp/tu5ne0TLq4/debootstrap-0.3.3.1/debian/changelog	2006-11-16 05:51:46.000000000 +0100
@@ -1,3 +1,13 @@
+debootstrap (0.3.3.1) unstable; urgency=low
+
+  * NMU with maintainer approval
+  * functions/get_debs: build list of available packages from all specified
+    sources; this allows debootstrap to also use e.g. custom versions of base
+    packages from a source of local packages included on an installation CD.
+    Closes: #398762.
+
+ -- Frans Pop <fjp@debian.org>  Thu, 16 Nov 2006 05:30:43 +0100
+
 debootstrap (0.3.3) unstable; urgency=low
 
   * Include kFreeBSD and fakechroot support from 0.3.2.1 and 0.3.2.2 NMUs,
diff -Nru /tmp/2y6UN6wYIA/debootstrap-0.3.3/functions /tmp/tu5ne0TLq4/debootstrap-0.3.3.1/functions
--- /tmp/2y6UN6wYIA/debootstrap-0.3.3/functions	2005-10-29 11:31:48.000000000 +0200
+++ /tmp/tu5ne0TLq4/debootstrap-0.3.3.1/functions	2006-11-16 05:30:39.000000000 +0100
@@ -666,13 +666,16 @@
 ###################################################### deb choosing support
 
 get_debs () {
-  local m1=${MIRRORS%% *}
-  local c="${COMPONENTS%% *}"
-  local path="dists/$SUITE/$c/binary-$ARCH/Packages"
-  local pkgdest="$TARGET/$($DLDEST pkg $SUITE $c $ARCH $m1 $path)"
   local field="$1"
   shift
-  echo $("$PKGDETAILS" FIELD "$field" $m1 "$pkgdest" "$@" | sed 's/ .*//')
+  local m1 c
+  for m1 in $MIRRORS; do
+    for c in $COMPONENTS; do
+      local path="dists/$SUITE/$c/binary-$ARCH/Packages"
+      local pkgdest="$TARGET/$($DLDEST pkg $SUITE $c $ARCH $m1 $path)"
+      echo $("$PKGDETAILS" FIELD "$field" $m1 "$pkgdest" "$@" | sed 's/ .*//')
+    done
+  done
 }
 
 ################################################################ extraction
